---
# SPDX-FileCopyrightText: 2023 Stoney Jackson <dr.stoney@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later

image: gitpod/workspace-full:latest

tasks:
  - name: Install PLCC
    command: |
        # To pin to a specific version of PLCC,
        # in the next line, change main to something like v8.0.1
        PLCC_GIT_BRANCH=main
          /bin/bash -c \
          "$(\curl -fsSL https://github.com/ourPLCC/plcc/raw/main/installers/plcc/install.bash)" \
          >> ~/.bashrc
        exec bash

vscode:
    extensions:
        - jebbs.plantuml
